/********************************************************* {COPYRIGHT-TOP} ***
 * Licensed Materials - Property of IBM
 * 5725-Z22, 5725-Z63, 5725-U33, 5725-Z63
 *
 * (C) Copyright IBM Corporation 2016, 2017
 *
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ********************************************************** {COPYRIGHT-END} **/
// Node module: apiconnect-cli-policies


var g = require('strong-globalize')();
var logger = require('apiconnect-cli-logger');

module.exports.deleteFormatter = function(policyName, policyVersion, options) {
  logger.writeln(g.f('Deleted %s:%s from %s:%s',
    policyName, policyVersion, options.organization, options.catalog));
};

module.exports.getFormatter = function(catalogName, orgName, result) {
  var policyMetaData = result;

  logger.writeln(g.f('name: %s', policyMetaData.name));
  logger.writeln(g.f('version: %s', policyMetaData.version));
  logger.writeln(g.f('title: %s', policyMetaData.title));

  var attach = policyMetaData.attach;
  if (attach && attach.length > 0) {
    logger.writeln('attach: ' + attach.toString());
  }

  var gateways = policyMetaData.gateways;
  if (gateways && gateways.length > 0) {
    logger.writeln(g.f('gateways: %s', gateways.toString()));
  }

  logger.writeln(g.f('catalog: %s', catalogName));
  logger.writeln(g.f('organization: %s', orgName));
};

module.exports.listFormatter = function(policies) {
  policies.forEach(function(policy) {
    logger.writeln(g.f('%s:%s in %s:%s', policy.name, policy.version, policy.organization, policy.catalog));
  });
};

module.exports.publishFormatter = function(catalogName, orgName, result) {
  logger.writeln(g.f('Published %s to %s:%s [%s:%s]',
    result.policyFilename, orgName, catalogName,
      result.policyMetaData.name, result.policyMetaData.version));
};

module.exports.pullFormatter = function(catalogName, orgName, result) {
  logger.writeln(g.f('Pulled %s:%s from %s:%s [%s]',
    result.policyName, result.policyVersion, orgName, catalogName, result.policyFilename));
};

