/********************************************************* {COPYRIGHT-TOP} ***
 * Licensed Materials - Property of IBM
 * 5725-Z22, 5725-Z63, 5725-U33, 5725-Z63
 *
 * (C) Copyright IBM Corporation 2016, 2017
 *
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ********************************************************** {COPYRIGHT-END} **/
// Node module: apiconnect-cli-policies

var fs = require('fs');
var g = require('strong-globalize')();

function getName(nameVersion) {
  var token = nameVersion.split(':');
  return token[0];
}

function getVersion(nameVersion) {
  var token = nameVersion.split(':');
  return token[1] || null;
}

function getNameVersionUrlPart(replace) {
  var replaceToken = replace.split(':');
  var urlPart = 'name=' + replaceToken[0];
  if (replaceToken.length >= 2) {
    urlPart = urlPart + '&version=' + replaceToken[1];
  }

  return urlPart;
}

function validateWriteFile(desPath, content, overWrite) {
  if (fs.existsSync(desPath) && !overWrite) {
    throw new Error(g.f('The file name %s already exists.', desPath));
  } else {
    fs.writeFileSync(desPath, content);
  }
}

function generatePolicyFileName(policyName, policyVersion) {
  return policyName + '_policy_' + policyVersion + '.zip';
}

function generatePolicyFolderName(policyName, policyVersion) {
  return policyName + '_policy_' + policyVersion;
}

module.exports.getName = getName;
module.exports.getVersion = getVersion;
module.exports.getNameVersionUrlPart = getNameVersionUrlPart;
module.exports.validateWriteFile = validateWriteFile;
module.exports.generatePolicyFileName = generatePolicyFileName;
module.exports.generatePolicyFolderName = generatePolicyFolderName;

